# from a EOF block wrongly treated:
%global __requires_exclude ^perl\\(to\\)$

Name:           drakpxelinux
Version:        1.12
Release:        %mkrel 1
Summary:        PXE default file configurator
License:        GPLv2+
Group:          System/Configuration
URL:            http://gitweb.mageia.org/software/drakpxelinux/
Source0:        http://gitweb.mageia.org/software/drakpxelinux/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch

Requires:       perl-Gtk3
Requires:       perl-MDK-Common
Requires:       pxe
Requires:       drakxtools >= 16.37
Requires:       tftp-server
Requires:       xinetd
%ifarch %{ix86} x86_64
Requires:       pxelinux
%endif

%description
Quick configuration of PXE menu parameters.


%prep
%autosetup

# fix for generation *.mo files
sed -i -e 's|\$(subdirs)|\$(subdir)|' Makefile

%build

%install
%make_install distdir=%{buildroot} localedir=%{buildroot}%{_datadir}/locale

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Drakpxelinux
Comment=%{_vendor} Linux Pxelinux configurator
Exec=%{_sbindir}/%{name}
Icon=configuration_section
Terminal=false
Type=Application
Categories=GTK;Settings;X-Mageia-CrossDesktop;
EOF

# install lang
%find_lang %{name}

%files -f %{name}.lang
%doc default TODO COPYING
%{_sbindir}/%{name}
%{_sbindir}/deployd
%{_sbindir}/deploy_get_autoinst.pl
%{_sysconfdir}/xinetd.d/deployd
%{_sysconfdir}/xinetd.d/deploy_get_autoinst
#%%{_datadir}/%%{name}*
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 17 2021 tmb <tmb> 1.12-1.mga8
+ Revision: 1675547
- translation updates

* Mon Jan 04 2021 neoclust <neoclust> 1.11-1.mga8
+ Revision: 1668906
- New version 1.11

* Sat Feb 15 2020 umeabot <umeabot> 1.10-2.mga8
+ Revision: 1526488
- Mageia 8 Mass Rebuild

* Mon May 20 2019 tmb <tmb> 1.10-1.mga7
+ Revision: 1398647
- translation updates

* Wed Feb 06 2019 daviddavid <daviddavid> 1.9-3.mga7
+ Revision: 1363593
- fix deps: we don't have pxelinux on aarch64

* Tue Sep 18 2018 umeabot <umeabot> 1.9-2.mga7
+ Revision: 1261451
- Mageia 7 Mass Rebuild

* Mon Jun 05 2017 akien <akien> 1.9-1.mga6
+ Revision: 1106892
- Version 1.9, translation updates

* Mon Mar 13 2017 akien <akien> 1.8-1.mga6
+ Revision: 1092422
- Version 1.8

* Sat Feb 20 2016 umeabot <umeabot> 1.7-3.mga6
+ Revision: 971721
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 1.7-2.mga6
+ Revision: 892395
- fix empty lang files (s/subdirs/subdir + localedir="")
- update URL and add a Source URL

* Mon May 18 2015 tv <tv> 1.7-1.mga5
+ Revision: 822269
- translations updates

* Fri Jan 02 2015 tv <tv> 1.6-1.mga5
+ Revision: 808043
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 746918
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.5-4.mga5
+ Revision: 733968
- add exclude

* Sat Sep 27 2014 tv <tv> 1.5-3.mga5
+ Revision: 730846
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 678840
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 tv <tv> 1.5-1.mga5
+ Revision: 666032
- fix various "undefined value for mandatory argument 'text'" crashes
- port from FileSelection to FileChooser
- FileSelection no more exists in Gtk3...
- fix a crash (mga#12626)
- bump require

* Sun Aug 17 2014 tv <tv> 1.4-1.mga5
+ Revision: 664938
- fix conversion from gtk2 to gtk3 (mga#12626)

* Thu Dec 05 2013 tv <tv> 1.3-1.mga4
+ Revision: 555343
- convert from gtk2 to gtk3
- translation updates

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-5.mga4
+ Revision: 521609
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.2.2-4.mga3
+ Revision: 391430
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 349089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 1.2.2-2.mga3
+ Revision: 324403
- rebuild for Mga3 Beta1

* Thu Apr 26 2012 kamil <kamil> 1.2.2-1.mga2
+ Revision: 233294
- new tarball 1.2.2 (updated strings, translations)

* Tue Jan 10 2012 kamil <kamil> 1.2.1-7.mga2
+ Revision: 194778
- adapt package for Mageia
- imported package drakpxelinux


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-6mdv2011.0
+ Revision: 663860
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-5mdv2011.0
+ Revision: 604824
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdv2010.1
+ Revision: 522511
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdv2010.0
+ Revision: 413394
- rebuild

* Thu Sep 18 2008 Antoine Ginies <aginies@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 285598
- add dolly method, update svn info to get the source, remove call to next step in last step's wizard, fix online documentation's url
- new

* Wed Sep 17 2008 Antoine Ginies <aginies@mandriva.com> 1.2.1-1mdv2009.0
+ Revision: 285471
- improve add entry's wizard

* Wed Sep 17 2008 Antoine Ginies <aginies@mandriva.com> 1.2.0-17mdv2009.0
+ Revision: 285456
- fix group
- fix bug 42326

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - better group

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-15mdv2008.1
+ Revision: 149294
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Antoine Ginies <aginies@mandriva.com> 1.2.0-14mdv2008.0
+ Revision: 90807
- update po files

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.2.0-13mdv2008.0
+ Revision: 90128
- rebuild for 2008
- fix XDG menu categories
- drop old menu file
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Mar 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-12mdv2007.1
+ Revision: 148352
- Import drakpxelinux

* Fri Mar 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-12mdv2007.1
- fix the xdg menu stuff

* Thu Sep 21 2006 Antoine Ginies <aginies@mandriva.com> 1.2.0-11mdv2007.0
- use new wizards API (blino)
- add dolly installation method (cs4)

* Fri Sep 16 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-10mdk
- add deploy_server directly in $o hash, not at end of file (or else it will be ignored) (blino)

* Fri Sep 16 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-9mdk
- add deploy_get_autoinst deploy_get_autoinst.pl (blino)
- auto_install: test perl script
- catch USR1 signal to update systems tab
- improve auto_install option

* Thu Sep 15 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-8mdk
- allow to automatically select the network interface #18513 (blino)
- remove PXE entry doesn't remove kernel and initrd
- use auto_install instead of kickstart option
- re-enable local boot in default profil
- fix bug in write/read custom options
- fix ramdisk_size (read/write)
- add quick help on auto-install

* Wed Sep 14 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-7mdk
- clone/add/remove now refresh default boot menu
- remove old code
- user can't change initrd and kernel path

* Sun Sep 11 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-6mdk
- set default vga option to 788
- force default boot for a profil

* Wed Sep 07 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-5mdk
- move drakpxelinux.pl in /usr/sbin directory to be able to use consolehelper
- fix missing directory

* Tue Sep 06 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-4mdk
- fx default boot for profile

* Tue Sep 06 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-3mdk
- major bug fix: write_conf, fix local pb, fix duplicate default config
- update all PO files (thx translators)

* Sat Sep 03 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-2mdk
- fix vga resolution pb
- fix pb of duplicate entry in systems tab (need to update systems avec get all mac addr)
- now we can clone PXE entry
- select default boot in combobox
- fix memdisk/data.img and kernel/initrd test
- fix: add an entry only if a profile is selected

* Fri Sep 02 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-1mdk
- various imrpovement (from blino's kadeploy)
- add xinetd.d daemon (blino)

* Fri Jul 22 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.1.0-2mdk
- convert vga codes and resolutions when appropriate (blino)
- fix installation method

* Thu Jul 14 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.1.0-1mdk
- improve GUI
- add menu
- remove "instant change", and add an apply button
- use consolehelper
- avoid remove/edit local entry

* Wed Jul 13 2005 Olivier Blin <oblin@mandriva.com> 1.0.2-6mdk
- move configuration code to network::pxe, cleanups
- fix vga resolutions list in Edit window
- add profiles support

* Tue Mar 22 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-5mdk
- fix wizard
- add ka method

* Tue Feb 15 2005 guibo <guibo@guiboserv.guibland.com> 1.0.2-4mdk
- fix init in PXE server (wizard)

* Fri Feb 11 2005 guibo <guibo@nodewireless.guibland.com> 1.0.2-3mdk
- fix bug (update vmlinuz and initrd files)

* Mon Jan 24 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-2mdk
- update po files.

* Fri Nov 12 2004 guibo <guibo@node80.guibland.com> 1.0.2-1mdk
- fix custom option, dhcp/ip addr
- add test in add wizard
- now support multiple interfaces
- add a button to reconfigure PXE server
- display resolution instead of vga code

* Sat Oct 02 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.1-3mdk
- add missing po files

* Wed Sep 15 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.1-2mdk
- fix busy cursor

* Tue Aug 31 2004 guibo <guibo@node80.guibland.com> 1.0.1-1mdk
- typo fix (Joao Ferreira; Arpad Biro)

* Sat Aug 14 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.0-1mdk
- add a check of pxe.conf file
- add a check box for DHCP or ip address
- add test on IP address
- display vga resolution in edit box
- perl_checker fix
- rearrange some widgets (thx Mokaddem)
- fix label in column
- thx R1 for help/idea, Chandra/Nicolabs for test

* Thu Aug 12 2004 mdkc Antoine Ginies <aginies@mandrakesoft.com> 0.9.1-1mdk
- add a file dialog box for directory
- some clean in code

* Wed Aug 11 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-2mdk
- fix pb of same var in code

* Sun Aug 08 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-1mdk
- add interactive help
- use OptionMenu instead of Combo box

* Sat Aug 07 2004 guibo <guibo@node80.guibland.com> 0.8.0-3mdk
- remove kernel/initrd in remove mode
- default options are blank in add image
- add a test in file selection
- readjust info in wizard
- add a wait message in wizard
- add info in edit box
- add a dialog box (first time launch)

* Sat Aug 07 2004 guibo <guibo@node80.guibland.com> 0.8.0-2mdk
- improve get information
- fix pb of wizard
- block rename of label (to fix pb of same label name)
- typo

* Sat Aug 07 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.8.0-1mdk
- fix button display
- add help.txt support
- fix wizard
- add label
- enable tftp server
- save old config
- add wizard to add an image in pxe
- cell no more editable
- fix get_information in help.txt

* Fri Aug 06 2004 guibo <guibo@node80.guibland.com> 0.7.0-1mdk
- fix display pb
- add entry in menu
- correct requires

* Fri Jul 30 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.6.0-1mdk
- fix edit dialog box
- now support embedded mode (mcc)

* Thu Jul 29 2004 mdkc <mdkc@dhcp114.mandrakesoft.com> 0.5.0-2mdk
- fix cancel button (initrd/kernel choice)

* Fri Jul 23 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.5.0-1mdk
- first release

